package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesPartShippingGroupService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesPartShippingGroup;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesPartShippingGroupService extends BaseMesService<MesPartShippingGroup> implements IMesPartShippingGroupService {


    protected void setPackQueryBean(MesPartShippingGroup bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringLikerPack(bean.getShippingGroupNo(),"shippingGroupNo",packBean);
        DdlPreparedPack.getStringLikerPack(bean.getShippingGroupName(),"shippingGroupName",packBean);
    }

}
